from typing import Any, List

import dream3d.simpl

class ApplyDewarpParameters(dream3d.simpl.AbstractFilter):
    AttributeMatrixName: str
    MaskName: str
    MontageName: str
    TransformPath: dream3d.simpl.DataArrayPath
    TransformPrefix: str
    UseDataArray: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class AxioVisionV4ToTileConfiguration(dream3d.simpl.AbstractFilter):
    InputFile: str
    OutputFile: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class CalcDewarpParameters(dream3d.simpl.AbstractFilter):
    AttributeMatrixName: str
    Delta: int
    FractionalTolerance: float
    IPFColorsArrayName: str
    MaxIterations: int
    MontageName: str
    SpecifyInitialSimplex: bool
    TransformArrayName: str
    TransformDCName: str
    TransformMatrixName: str
    XFactors: Any
    YFactors: Any
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKAbsImage(ITKImageProcessingBase):
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKAcosImage(ITKImageProcessingBase):
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKAdaptiveHistogramEqualizationImage(ITKImageProcessingBase):
    Alpha: float
    Beta: float
    Radius: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKApproximateSignedDistanceMapImage(ITKImageProcessingBase):
    InsideValue: float
    OutsideValue: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKAsinImage(ITKImageProcessingBase):
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKAtanImage(ITKImageProcessingBase):
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBilateralImage(ITKImageProcessingBase):
    DomainSigma: float
    NumberOfRangeGaussianSamples: float
    RangeSigma: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBinaryClosingByReconstructionImage(ITKImageProcessingBase):
    ForegroundValue: float
    FullyConnected: bool
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBinaryContourImage(ITKImageProcessingBase):
    BackgroundValue: float
    ForegroundValue: float
    FullyConnected: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBinaryDilateImage(ITKImageProcessingBase):
    BackgroundValue: float
    BoundaryToForeground: bool
    ForegroundValue: float
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBinaryErodeImage(ITKImageProcessingBase):
    BackgroundValue: float
    BoundaryToForeground: bool
    ForegroundValue: float
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBinaryMorphologicalClosingImage(ITKImageProcessingBase):
    ForegroundValue: float
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    SafeBorder: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBinaryMorphologicalOpeningImage(ITKImageProcessingBase):
    BackgroundValue: float
    ForegroundValue: float
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBinaryOpeningByReconstructionImage(ITKImageProcessingBase):
    BackgroundValue: float
    ForegroundValue: float
    FullyConnected: bool
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBinaryProjectionImage(ITKImageProcessingBase):
    BackgroundValue: float
    ForegroundValue: float
    ProjectionDimension: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBinaryThresholdImage(ITKImageProcessingBase):
    InsideValue: int
    LowerThreshold: float
    OutsideValue: int
    UpperThreshold: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBinomialBlurImage(ITKImageProcessingBase):
    Repetitions: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBlackTopHatImage(ITKImageProcessingBase):
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    SafeBorder: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKBoxMeanImage(ITKImageProcessingBase):
    Radius: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKCastImage(ITKImageProcessingBase):
    CastingType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKClosingByReconstructionImage(ITKImageProcessingBase):
    FullyConnected: bool
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    PreserveIntensities: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKConnectedComponentImage(ITKImageProcessingBase):
    FullyConnected: bool
    ObjectCount: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKCurvatureAnisotropicDiffusionImage(ITKImageProcessingBase):
    ConductanceParameter: float
    ConductanceScalingUpdateInterval: float
    NumberOfIterations: float
    TimeStep: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKCurvatureFlowImage(ITKImageProcessingBase):
    NumberOfIterations: float
    TimeStep: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKDanielssonDistanceMapImage(ITKImageProcessingBase):
    InputIsBinary: bool
    SquaredDistance: bool
    UseImageSpacing: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKDilateObjectMorphologyImage(ITKImageProcessingBase):
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    ObjectValue: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKDiscreteGaussianImage(ITKImageProcessingBase):
    MaximumError: dream3d.simpl.FloatVec3
    MaximumKernelWidth: int
    UseImageSpacing: bool
    Variance: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKDoubleThresholdImage(ITKImageProcessingBase):
    FullyConnected: bool
    InsideValue: int
    OutsideValue: int
    Threshold1: float
    Threshold2: float
    Threshold3: float
    Threshold4: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKErodeObjectMorphologyImage(ITKImageProcessingBase):
    BackgroundValue: float
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    ObjectValue: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKFFTNormalizedCorrelationImage(ITKImageProcessingBase):
    MovingCellArrayPath: dream3d.simpl.DataArrayPath
    RequiredFractionOfOverlappingPixels: float
    RequiredNumberOfOverlappingPixels: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKGradientAnisotropicDiffusionImage(ITKImageProcessingBase):
    ConductanceParameter: float
    ConductanceScalingUpdateInterval: float
    NumberOfIterations: float
    TimeStep: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKGradientMagnitudeImage(ITKImageProcessingBase):
    UseImageSpacing: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKGradientMagnitudeRecursiveGaussianImage(ITKImageProcessingBase):
    NormalizeAcrossScale: bool
    Sigma: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKGrayscaleDilateImage(ITKImageProcessingBase):
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKGrayscaleErodeImage(ITKImageProcessingBase):
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKGrayscaleFillholeImage(ITKImageProcessingBase):
    FullyConnected: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKGrayscaleGrindPeakImage(ITKImageProcessingBase):
    FullyConnected: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKGrayscaleMorphologicalClosingImage(ITKImageProcessingBase):
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    SafeBorder: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKGrayscaleMorphologicalOpeningImage(ITKImageProcessingBase):
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    SafeBorder: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKHConvexImage(dream3d.simpl.AbstractFilter):
    FullyConnected: bool
    Height: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKHMaximaImage(ITKImageProcessingBase):
    Height: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKHMinimaImage(ITKImageProcessingBase):
    FullyConnected: bool
    Height: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKHistogramMatchingImage(ITKImageProcessingBase):
    NumberOfHistogramLevels: float
    NumberOfMatchPoints: float
    ReferenceCellArrayPath: dream3d.simpl.DataArrayPath
    ThresholdAtMeanIntensity: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKImageProcessingBase(dream3d.simpl.AbstractFilter):
    NewCellArrayName: str
    SelectedCellArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self, *args, **kwargs) -> None: ...

class ITKImageReader(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    DataContainerName: dream3d.simpl.DataArrayPath
    FileName: str
    ImageDataArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKImageWriter(dream3d.simpl.AbstractFilter):
    FileName: str
    ImageArrayPath: dream3d.simpl.DataArrayPath
    IndexOffset: int
    Plane: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...
    def registerImageIOFactories(self) -> None: ...

class ITKImportFijiMontage(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    ChangeOrigin: bool
    ChangeSpacing: bool
    ColorWeights: dream3d.simpl.FloatVec3
    ColumnMontageLimits: dream3d.simpl.IntVec2
    ConvertToGrayScale: bool
    DataContainerPath: dream3d.simpl.DataArrayPath
    ImageDataArrayName: str
    InputFile: str
    LengthUnit: int
    MontageName: str
    Origin: dream3d.simpl.FloatVec3
    RowMontageLimits: dream3d.simpl.IntVec2
    Spacing: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKImportImageStack(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    DataContainerName: dream3d.simpl.DataArrayPath
    ImageDataArrayName: str
    ImageStack: int
    InputFileListInfo: dream3d.simpl.StackFileListInfo
    Origin: dream3d.simpl.FloatVec3
    Spacing: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKImportRoboMetMontage(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    ChangeOrigin: bool
    ChangeSpacing: bool
    ColorWeights: dream3d.simpl.FloatVec3
    ColumnMontageLimits: dream3d.simpl.IntVec2
    ConvertToGrayScale: bool
    DataContainerPath: dream3d.simpl.DataArrayPath
    ImageDataArrayName: str
    ImageFileExtension: str
    ImageFilePrefix: str
    InputFile: str
    LengthUnit: int
    MontageName: str
    Origin: dream3d.simpl.FloatVec3
    RowMontageLimits: dream3d.simpl.IntVec2
    SliceNumber: int
    Spacing: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKIntensityWindowingImage(ITKImageProcessingBase):
    OutputMaximum: float
    OutputMinimum: float
    WindowMaximum: float
    WindowMinimum: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKInvertIntensityImage(ITKImageProcessingBase):
    Maximum: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKIsoContourDistanceImage(ITKImageProcessingBase):
    FarValue: float
    LevelSetValue: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKLabelContourImage(ITKImageProcessingBase):
    BackgroundValue: float
    FullyConnected: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKLaplacianRecursiveGaussianImage(ITKImageProcessingBase):
    NormalizeAcrossScale: bool
    Sigma: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKLaplacianSharpeningImage(ITKImageProcessingBase):
    UseImageSpacing: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMaskImage(ITKImageProcessingBase):
    MaskCellArrayPath: dream3d.simpl.DataArrayPath
    OutsideValue: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMaximumProjectionImage(ITKImageProcessingBase):
    ProjectionDimension: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMeanProjectionImage(ITKImageProcessingBase):
    ProjectionDimension: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMedianImage(ITKImageProcessingBase):
    Radius: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMedianProjectionImage(ITKImageProcessingBase):
    ProjectionDimension: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMinMaxCurvatureFlowImage(ITKImageProcessingBase):
    NumberOfIterations: float
    StencilRadius: int
    TimeStep: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMinimumProjectionImage(ITKImageProcessingBase):
    ProjectionDimension: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMorphologicalGradientImage(ITKImageProcessingBase):
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMorphologicalWatershedFromMarkersImage(ITKImageProcessingBase):
    FullyConnected: bool
    MarkWatershedLine: bool
    MarkerCellArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMorphologicalWatershedImage(ITKImageProcessingBase):
    FullyConnected: bool
    Level: float
    MarkWatershedLine: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKMultiScaleHessianBasedObjectnessImage(ITKImageProcessingBase):
    Alpha: float
    Beta: float
    BrightObject: bool
    Gamma: float
    NumberOfSigmaSteps: float
    ObjectDimension: int
    ScaleObjectnessMeasure: bool
    SigmaMaximum: float
    SigmaMinimum: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKNormalizeToConstantImage(ITKImageProcessingBase):
    Constant: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKOpeningByReconstructionImage(ITKImageProcessingBase):
    FullyConnected: bool
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    PreserveIntensities: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKOtsuMultipleThresholdsImage(ITKImageProcessingBase):
    LabelOffset: int
    NumberOfHistogramBins: float
    NumberOfThresholds: int
    Thresholds: dream3d.simpl.FloatVec3
    ValleyEmphasis: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKPatchBasedDenoisingImage(ITKImageProcessingBase):
    AlwaysTreatComponentsAsEuclidean: bool
    KernelBandwidthEstimation: bool
    KernelBandwidthFractionPixelsForEstimation: float
    KernelBandwidthMultiplicationFactor: float
    KernelBandwidthSigma: float
    KernelBandwidthUpdateFrequency: float
    NoiseModel: int
    NoiseModelFidelityWeight: float
    NoiseSigma: float
    NumberOfIterations: float
    NumberOfSamplePatches: float
    NumberOfThreads: int
    PatchRadius: float
    SampleVariance: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKRefineTileCoordinates(dream3d.simpl.AbstractFilter):
    ApplyRefinedOrigin: bool
    CommonAttributeMatrixName: str
    CommonDataArrayName: str
    DataContainers: List[str]
    ImportMode: int
    MontageSize: dream3d.simpl.IntVec3
    TileOverlap: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKRegionalMaximaImage(ITKImageProcessingBase):
    BackgroundValue: float
    FlatIsMaxima: bool
    ForegroundValue: float
    FullyConnected: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKRegionalMinimaImage(ITKImageProcessingBase):
    BackgroundValue: float
    FlatIsMinima: bool
    ForegroundValue: float
    FullyConnected: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKRelabelComponentImage(ITKImageProcessingBase):
    MinimumObjectSize: float
    NumberOfObjects: float
    OriginalNumberOfObjects: float
    SizeOfObjectsInPhysicalUnits: dream3d.simpl.FloatVec3
    SizeOfObjectsInPixels: dream3d.simpl.FloatVec3
    SortByObjectSize: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKRescaleIntensityImage(ITKImageProcessingBase):
    OutputMaximum: float
    OutputMinimum: float
    OutputType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKSaltAndPepperNoiseImage(ITKImageProcessingBase):
    Probability: float
    Seed: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKShiftScaleImage(ITKImageProcessingBase):
    Scale: float
    Shift: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKShotNoiseImage(ITKImageProcessingBase):
    Scale: float
    Seed: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKSigmoidImage(ITKImageProcessingBase):
    Alpha: float
    Beta: float
    OutputMaximum: float
    OutputMinimum: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKSignedDanielssonDistanceMapImage(ITKImageProcessingBase):
    InsideIsPositive: bool
    SquaredDistance: bool
    UseImageSpacing: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKSignedMaurerDistanceMapImage(ITKImageProcessingBase):
    BackgroundValue: float
    InsideIsPositive: bool
    SquaredDistance: bool
    UseImageSpacing: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKSmoothingRecursiveGaussianImage(ITKImageProcessingBase):
    NormalizeAcrossScale: bool
    Sigma: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKSpeckleNoiseImage(ITKImageProcessingBase):
    Seed: float
    StandardDeviation: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKStandardDeviationProjectionImage(ITKImageProcessingBase):
    ProjectionDimension: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKSumProjectionImage(ITKImageProcessingBase):
    ProjectionDimension: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKThresholdImage(ITKImageProcessingBase):
    Lower: float
    OutsideValue: float
    Upper: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKThresholdMaximumConnectedComponentsImage(ITKImageProcessingBase):
    InsideValue: int
    MinimumObjectSizeInPixels: float
    OutsideValue: int
    UpperBoundary: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKValuedRegionalMaximaImage(ITKImageProcessingBase):
    Flat: bool
    FullyConnected: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKValuedRegionalMinimaImage(ITKImageProcessingBase):
    Flat: bool
    FullyConnected: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKVectorConnectedComponentImage(ITKImageProcessingBase):
    DistanceThreshold: float
    FullyConnected: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKVectorRescaleIntensityImage(ITKImageProcessingBase):
    OutputMaximumMagnitude: float
    OutputType: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKWhiteTopHatImage(ITKImageProcessingBase):
    KernelRadius: dream3d.simpl.FloatVec3
    KernelType: int
    SafeBorder: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ITKZeroCrossingImage(ITKImageProcessingBase):
    BackgroundValue: int
    ForegroundValue: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class IlluminationCorrection(dream3d.simpl.AbstractFilter):
    ApplyCorrection: bool
    ApplyMedianFilter: bool
    BackgroundCellAttributeMatrixPath: dream3d.simpl.DataArrayPath
    BackgroundDataContainerPath: dream3d.simpl.DataArrayPath
    BackgroundImageArrayPath: dream3d.simpl.DataArrayPath
    CellAttributeMatrixName: str
    CorrectedImageDataArrayName: str
    DataContainers: List[str]
    ExportCorrectedImages: bool
    FileExtension: str
    HighThreshold: int
    ImageDataArrayName: str
    LowThreshold: int
    MedianRadius: dream3d.simpl.FloatVec3
    MontageSelection: dream3d.simpl.MontageSelection
    OutputPath: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ImportAxioVisionV4Montage(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    ChangeOrigin: bool
    ChangeSpacing: bool
    ColorWeights: dream3d.simpl.FloatVec3
    ColumnMontageLimits: dream3d.simpl.IntVec2
    ConvertToGrayScale: bool
    DataContainerPath: dream3d.simpl.DataArrayPath
    ImageDataArrayName: str
    ImportAllMetaData: bool
    InputFile: str
    MontageName: str
    Origin: dream3d.simpl.FloatVec3
    RowMontageLimits: dream3d.simpl.IntVec2
    Spacing: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...
    def setMetaDataAttributeMatrixName(self, MetaDataAttributeMatrixName: str) -> None: ...
    @property
    def ColumnCount(self) -> int: ...
    @property
    def RowCount(self) -> int: ...

class ImportVectorImageStack(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    ConvertToGrayscale: bool
    DataContainerName: dream3d.simpl.DataArrayPath
    InputFileListInfo: VectorFileListInfo
    Origin: dream3d.simpl.FloatVec3
    Spacing: dream3d.simpl.FloatVec3
    VectorDataArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ImportZenInfoMontage(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    ChangeOrigin: bool
    ChangeSpacing: bool
    ColorWeights: dream3d.simpl.FloatVec3
    ColumnMontageLimits: dream3d.simpl.IntVec2
    ConvertToGrayScale: bool
    DataContainerPath: dream3d.simpl.DataArrayPath
    ImageDataArrayName: str
    InputFile: str
    LengthUnit: int
    MontageName: str
    Origin: dream3d.simpl.FloatVec3
    RowMontageLimits: dream3d.simpl.IntVec2
    Spacing: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...
    @property
    def ColumnCount(self) -> int: ...
    @property
    def RowCount(self) -> int: ...

class VectorFileListInfo:
    def __init__(self, arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int, arg7: str, arg8: str, arg9: str, arg10: str, arg11: str) -> None: ...
